Subject: RE: Rebuilding GDB
From: Adrian Cox <[email-masked]>
To: Dave Korn <[email-masked]>
Cc: [email-masked]
Date: Tue, 21 Sep 2004 08:45:35 +0100

On Mon, 2004-09-20 at 18:14, Dave Korn wrote:
> > -----Original Message-----
> > From: cygwin-owner On Behalf Of Adrian Cox
> > Sent: 20 September 2004 14:44
> 
> > I'm trying to build a Cygwin hosted GDB for debugging ARM and PowerPC
> > boards.  After running into a lot of problems, I tried to rebuild the
> > native GDB that Cygwin installed for me, and that didn't work either.
> > 
>   BTW, when discussing compile problems with gnu packages, you should always
> quote the options you gave to configure (if any).

1) Use setup.exe to download the gdb source.
2) mkdir /tmp/build
3) cd /tmp/build
4) /usr/src/gdb-20030919-1/configure --prefix=/usr/local/test
5) make

> > make[3]: Entering directory `/tmp/inbuild/libgui/src'
> > gcc -DHAVE_CONFIG_H -I. -I/usr/src/gdb-20030919-1/libgui/src 
> > -I.. -DWIN32 -mwin3
> > 2 -fwritable-strings -I/usr/include -I/usr/include 
> > -I"/netrel/src/libtcltk/tk/xl
> > ib" -DHAVE_NO_SEH=1 -DEXCEPTION_DISPOSITION=int   
> > -I/usr/include/../unix -I/usr/
> > include/../win -DTBL_VERSION=\"2.7\" -DTBL_COMMAND=\"table\" 
> > -DTBL_RUNTIME=\"tkT
> > able.tcl\" > -DTBL_RUNTIME_DIR=\"/usr/local/insight/share/redhat/gui\"
> -DSTATIC_BU
> > ILD    -g -O2 -c /usr/src/gdb-20030919-1/libgui/src/tclwinprint.c
> > /usr/src/gdb-20030919-1/libgui/src/tclwinprint.c:26:22: 
> > tkWinInt.h: No such file
> >  or directory
> 
>   Hmm.  It should be in the source distribution itself, at
> /usr/src/gdb-20030919-1/tk/win.

ls /usr/src/gdb-20030919-1/tk
ls: /usr/src/gdb-20030919-1/tk: No such file or directory

[...]

>   Ok, so your one has this strange include path to
> /netrel/src/libtcltk/tk/xlib which my one doesn't.  Looks like maybe you
> have an older version of the tcl/tk headers in your installation and somehow
> it got chosen at configure time over the ones included with the gdb source
> distro?  Also, there really shouldn't be all those "-I /usr/include"s in
> there.  And what on earth are "/usr/include/../win" and
> "/usr/include/../unix"?  Maybe configure has somehow failed to find
> something and is using /usr/include as a default, no-hope-last-chance
> fallback; and then bogusly concatenating relative paths onto it that would
> have been relevant if it had found the real headers but make no sense when
> just hoping they're in the standard system includes dir.  Yech. 

I've just had a second go at downloading with setup.exe, and the tk
directory is still missing.

This makes me think that the bug is really in setup.exe or in the Cygwin
repository. I haven't really worked out how Cygwin packages work yet -
should each source package contain a build script, like Redhat or Debian
packages do?

- Adrian Cox

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/